Loading...
Searching...
No Matches
elxGTestUtilities.h File Reference
`#include <elxConfiguration.h>`
`#include <elxElastixBase.h>`
`#include <itkAdvancedImageToImageMetric.h>`
`#include <itkAdvancedTransform.h>`
`#include <itkImageSamplerBase.h>`
`#include <itkInterpolateImageFunction.h>`
`#include <itkOptimizerParameters.h>`
`#include <itkPoint.h>`
`#include <itkSingleValuedCostFunction.h>`
`#include <itkSize.h>`
`#include <itkSmartPointer.h>`
`#include <itkVector.h>`
`#include <gtest/gtest.h>`
`#include <algorithm>`
`#include <cassert>`
`#include <cfloat>`
`#include <limits>`
`#include <random>`
Include dependency graph for elxGTestUtilities.h:

Go to the source code of this file.

## Data Structures

struct | elastix::GTestUtilities::ValueAndDerivative

## Namespaces

namespace | elastix
namespace | elastix::GTestUtilities

## Functions

template<typename TElastix>
itk::SmartPointer< TElastix > | elastix::GTestUtilities::CreateDefaultElastixObject ()
template<typename TMap>
void | elastix::GTestUtilities::ExpectAllKeysUnique (const TMap &map1, const TMap &map2)
itk::OptimizerParameters< double > | elastix::GTestUtilities::GeneratePseudoRandomParameters (const unsigned numberOfParameters, const double minValue, const double maxValue=1.0)
template<typename TFixedImage, typename TMovingImage>

void

elastix::GTestUtilities::InitializeMetric (itk::AdvancedImageToImageMetric< TFixedImage, TMovingImage > &metric, const TFixedImage &fixedImage, const TMovingImage &movingImage, itk::ImageSamplerBase< TFixedImage > &imageSampler, itk::AdvancedTransform< double, TFixedImage::ImageDimension, TMovingImage::ImageDimension > &advancedTransform, itk::InterpolateImageFunction< TMovingImage > &interpolator, const typename TFixedImage::RegionType &fixedImageRegion)

template<typename TMap>
TMap | elastix::GTestUtilities::MakeMergedMap (TMap map1, const TMap &map2)

Generated on 1768596610 for elastix by 1.15.0 |